# Interface CoffeeScriptCompileSpec

public interface CoffeeScriptCompileSpec

## Method Summary

Modifier and Type
Method
Description
`File`
`getCoffeeScriptJs()`
`File`
`getDestinationDir()`
`CoffeeScriptCompileOptions`
`getOptions()`
`FileCollection`
`getSource()`
`void`
`setCoffeeScriptJs(File coffeeScriptJs)`
`void`
`setDestinationDir(File destinationDir)`
`void`
`setOptions(CoffeeScriptCompileOptions options)`
`void`
`setSource(FileCollection source)`

## Method Details

### getCoffeeScriptJs

File getCoffeeScriptJs()

### setCoffeeScriptJs

void setCoffeeScriptJs(File coffeeScriptJs)

### getDestinationDir

File getDestinationDir()

### setDestinationDir

void setDestinationDir(File destinationDir)

### getSource

FileCollection getSource()

### setSource

void setSource(FileCollection source)

### getOptions

CoffeeScriptCompileOptions getOptions()

### setOptions

void setOptions(CoffeeScriptCompileOptions options)